using System;
using System.Drawing.Imaging;
using System.Net;
using System.Text;
using System.Web.UI;
using SwivelSecure.PINsafe;

public partial class SCImage : Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		// Get the ID of the image to retrieve.
		string sessionId = Request["sessionid"];
		string username = Request["username"];
		PINsafeSettings settings = new PINsafeSettings();
		settings.LoadSettings();
		PINsafeClient client =
			new PINsafeClient(settings);
		int statusCode;
		System.Drawing.Image img = client.GetImage(sessionId, username, out statusCode);
		if (statusCode != (int)HttpStatusCode.OK)
		{
			Response.StatusCode = statusCode;
		}
		else
		{
			Response.ContentType = "image/gif";
			StringBuilder disposition = new StringBuilder("inline; filename=turing.gif");
			Response.AddHeader("Content-Disposition", disposition.ToString());
			if (img != null)
			{
				img.Save(Response.OutputStream, ImageFormat.Gif);
			}
		}
	}
}
